gnutls_certificate_set_openpgp_key_file2(3)

NAME
gnutls_certificate_set_openpgp_key_file2 - Used to set OpenPGP keys

SYNOPSIS
#include <gnutls/gnutls.h>

int gnutls_certificate_set_openpgp_key_file2(gnutls_certificate_credentials_t res, const char * certfile, const char * keyfile, const char* subkey_id, gnutls_openpgp_crt_fmt_t format);

ARGUMENTS

gnutls_certificate_credentials_t       res
    the destination context to save the data.

const char * certfile
    the file that contains the public key.

const char * keyfile
    the file that contains the secret key.

const char* subkey_id
    a hex encoded subkey id

gnutls_openpgp_crt_fmt_t format
    the format of the keys

DESCRIPTION
This funtion is used to load OpenPGP keys into the GnuTLS credential structure. The files should contain non encrypted keys. The special keyword "auto" is also accepted as &subkey_id. In that case the gnutls_openpgp_crt_get_auth_subkey() will be used to retrieve the subkey.

RETURNS
On success, GNUTLS_E_SUCCESS is returned, otherwise a negative error value.

SINCE
2.4.0

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.